<?php
/**
* Needed includes
**/
require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';

/**
 * Form displaying transaction details
 *
 * $Horde: incubator/minerva/lib/Forms/List.php,v 1.17 2006/09/16 10:44:39 duck Exp $
 *
 * @author  Duck <duck@obala.net>
 * @package Horde_Payment
 */
class Payment_Form_Data extends Horde_Form {

    /**
    * Creator
    */
    function Payment_Form_Data($vars, $title, $payment_data)
    {
        $this->_name = 'payment_form_data';
        $this->_vars = $vars;
        $this->_title = $title;

        $this->fill_form($payment_data);
    }

    /**
    * Fill up form with payment data
    */
    private function fill_form($payment_data)
    {
        global $registry;

        $this->addVariable(_("Order ID"), 'id', 'text', false, true);
        $this->_vars->set('id', $payment_data['id']);

        $this->addVariable(_("Module"), 'module_name', 'text', false, true);
        $this->_vars->set('module_name', $registry->get('name', $payment_data['module_name']));

        $provides = $registry->get('provides', $payment_data['module_name']);
        if ($registry->hasMethod($provides . '/getName')) {
            $this->addVariable(_("Refference"), 'module_id', 'text', false, true);
            $this->_vars->set('module_id', $registry->call($provides . '/getName', array($payment_data['module_id'])));
        }

        $this->addVariable(_("Amount"), 'amount', 'text', false, true);
        $this->_vars->set('amount', Payment::formatPrice($payment_data['amount']));
    }

}