<?php
/**
 * Horde_Payment external API interface.
 *
 * $Horde: turba/lib/api.php,v 1.191 2006/08/05 06:39:06 karsten Exp $
 *
 * This file defines Turba's external API interface. Other applications can
 * interact with Turba through this API.
 *
 * @package Horde_Payment
 */

$_services['authorizationRequest'] = array(
    'args' => array(),
    'type' => '{urn:horde}hashHash'
);

$_services['show'] = array(
    'link' => '%application%/process/index.php?id=|id|',
);

/**
 * Add an order to the authorization mechanism
 *
 * @param string $app     The Horde application that is doing the authorization
 * @param string $id      Horde appliaction internal id
 * @param float  $amount  Amount for atuherisation request
 */
function _payment_authorizationRequest($app, $id, $amount)
{
    require_once dirname(__FILE__) . '/base.php';
    return $GLOBALS['payment']->addAuthorization($app, $id, $amount);
}

/**
 * Settle an order or previously authorized transaction
 * and obtain payment for either the complete amount
 * or any portion of it.
 * 
 * TODO
 *
 * @param string $app     The Horde application that is doing the authorization
 * @param string $id      Horde appliaction internal id
 * @param float  $amount  Amount for atuherisation request
 * @param array  $address Billing address if avaiable
 */
function _payment_doCapture($app, $id, $amount, $address = array())
{
    return PEAR::raiseError(_("Not supported."));
}

/**
 * Void an original authorization or order
 *
 * TODO
 *
 * @param string $app     The Horde application that is doing the authorization
 * @param string $id      Horde appliaction internal id
 */
function _payment_doVoid($app, $id)
{
    return PEAR::raiseError(_("Not supported."));
}

/**
 * Reauthorize a previously authorized transaction 
 *
 * TODO
 *
 * @param string $app     The Horde application that is doing the authorization
 * @param string $id      Horde appliaction internal id
 */
function _payment_doReauthorization($app, $id)
{
    return PEAR::raiseError(_("Not supported."));
}

