<?php
/**
 * List authorisations requests
 *
 * $Horde: payment/list.php,v 1.8 2006/01/01 21:11:57 jan Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('PAYMENT_BASE', dirname(__FILE__));
require_once PAYMENT_BASE . '/lib/base.php';

if (!Auth::isAdmin()) {
    Horde::authenticationFailureRedirect();
}

require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';
require_once 'Horde/UI/Pager.php';

// Prepare form
$title =_("Search authorizations"); 
$vars = Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title);
$form->setButtons(_("Search"));

$form->addVariable(_("Order ID"), 'id', 'text', false, false, false, array('', 20, 13));
$form->addVariable(_("Module"), 'module_name', 'text', false);
$form->addVariable(_("Module ID"), 'id', 'int', false);
$form->addVariable(_("Amount"), 'amount', 'text', false);

// Get data
$criteria = array();
$list = array();

if ($form->validate($vars)) {
    $form->getInfo($vars, $criteria);
}

$list = $payment->listAuthorizations($criteria);
if (is_a($list, 'PEAR_Error')) {
    $notification->push($list->getMessage(), 'horde.error');
}

$pager = new Horde_UI_Pager('page',
                            Variables::getDefaultVariables(),
                            array('num' => sizeof($list),
                                  'url' => 'list.php', 
                                  'page_count' => 10,
                                  'perpage' => 20));

require PAYMENT_TEMPLATES . '/common-header.inc';
require PAYMENT_TEMPLATES . '/menu.inc';

require PAYMENT_TEMPLATES . '/list/header.inc';
foreach ($list as $row) {
    require PAYMENT_TEMPLATES . '/list/row.inc';    
}
require PAYMENT_TEMPLATES . '/list/footer.inc';

$form->renderActive(new Horde_Form_Renderer(), $vars, Horde::applicationUrl('list.php'), 'post');

require $registry->get('templates', 'horde') . '/common-footer.inc';
