<?php
/**
 * Link methods to applications 
 *
 * $Horde: payment/list.php,v 1.8 2006/01/01 21:11:57 jan Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('PAYMENT_BASE', dirname(__FILE__));
require_once PAYMENT_BASE . '/lib/base.php';

require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';

if (!Auth::isAdmin()) {
    Horde::authenticationFailureRedirect();
}

$title =_("Link applications to payment methods"); 
$vars = Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title);
$form->setButtons(_("Submit"));

$modules = array();
foreach ($registry->listApps() as $app) {
    $modules[$app] = $registry->get('name', $app);
}

$form->addVariable($title, 'matrix', 'matrix', true, false, false, array(Payment::getMethods(), $modules));

if ($form->validate($vars)) {
    $form->getInfo($vars, $info);
    $result = $payment->saveMethodLink($info['matrix']);
    if (is_a($result, 'PEAR_Error')) {
        $notification->push($result->getMessage(), 'horde.error');
    } else {
        $notification->push(_("Links updated."), 'horde.success');
    }
}

require PAYMENT_TEMPLATES . '/common-header.inc';
require PAYMENT_TEMPLATES . '/menu.inc';

$form->renderActive(new Horde_Form_Renderer(), $vars, Horde::applicationUrl('matrix.php'), 'post');

require $registry->get('templates', 'horde') . '/common-footer.inc';
