<?php
/**
 * Directly enter the order if we know the order ID 
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('PAYMENT_BASE', dirname(__FILE__) . '/../');
require_once PAYMENT_BASE . '/lib/base.php';

require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';

$title = _("Enter order ID"); 
$vars = Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title, 'enterid');
$form->setButtons(_("Proceed"));

$form->addVariable(_("Order ID"), 'id', 'text', true, false, false, array('', 20, 13));

if ($conf['payment']['captcha']) {
    $form->addVariable(_("Spam protection"), 'captcha', 'figlet', true, null, null,
                      array(Payment::getCAPTCHA(!$form->isSubmitted()), $conf['payment']['figlet_font']));
}

if ($form->validate($vars)) {
    $form->getInfo($vars, $info);

    $payment_data = $payment->getAuthorization($info['id']);
    if (is_a($payment_data, 'PEAR_Error')) {
        $notification->push($payment_data->getMessage(), 'horde.error');
    } else {
        header('Location: ' . Util::addParameter(Horde::applicationUrl('process/index.php'), 'id', $info['id'], false));
        exit;
    } 
}

require PAYMENT_TEMPLATES . '/common-header.inc';
require PAYMENT_TEMPLATES . '/process/header.inc';

$form->renderActive(new Horde_Form_Renderer(), $vars, Horde::applicationUrl('process/enter.php'), 'post');

require $registry->get('templates', 'horde') . '/common-footer.inc';
