<?php
/**
 * Check id of the payment
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('PAYMENT_BASE', dirname(__FILE__) . '/../');
require_once PAYMENT_BASE . '/lib/base.php';
require_once PAYMENT_BASE . '/lib/Forms/PaymentData.php';

if (empty($_SESSION['payment']['process_id'])) {
    header('Location: ' . Horde::applicationUrl('process/enter.php'));
    exit;
}

// Try to get order data
$payment_data = $payment->getAuthorization($_SESSION['payment']['process_id']);

// Prepare form
$title =_("Are you sure to revoke this order?"); 
$vars = Variables::getDefaultVariables();
$form = new Payment_Form_Data($vars, $title, $payment_data);
$form->setButtons(array(_("Revoke"), _("Cancel")));

if ($conf['payment']['captcha']) {
    $form->addVariable(_("Spam protection"), 'captcha', 'figlet', true, null, null,
                      array(Payment::getCAPTCHA(!$form->isSubmitted()), $conf['payment']['figlet_font']));
}

if ($form->validate($vars)) {
    $result = Payment::changeStatus(PAYMENT_STATUS_REVOKED, $_SESSION['payment']['process_id']);
    if (is_a($result, 'PEAR_Error')) {
        $notification->push($payment_data->getMessage(), 'horde.error');
        header('Location: ' . Horde::applicationUrl('process/revoke.php'));
        exit;
    }

    if (is_string($result)) {
        unset($_SESSION['payment']['process_id']);
        header('Location: ' . $result);
        exit;
    }

    $notification->push(_("Order successly revoked."), 'horde.success');
}

require PAYMENT_TEMPLATES . '/common-header.inc';
require PAYMENT_TEMPLATES . '/process/header.inc';

if (!isset($result)) {
    $form->renderActive(new Horde_Form_Renderer(), $vars, Horde::applicationUrl('process/revoke.php'), 'post');
} else {
    require PAYMENT_TEMPLATES . '/process/revoked.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
