<?php
/**
 * Payment step 1 - Supply additional data
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('PAYMENT_BASE', dirname(__FILE__) . '/../');
require_once PAYMENT_BASE . '/lib/base.php';
require_once PAYMENT_BASE . '/lib/Forms/PaymentData.php';
require_once PAYMENT_BASE . '/lib/Method.php';

// Do basic cheks and loads data
require_once 'step_check.php';

// We need to supply a local from? Otherwise we have nothing to do here
if (!$method->hasLocalForm()) {
    $_SESSION['payment']['process_step'] = 2;
    header('Location: ' . Horde::applicationUrl('process/step2.php'));
    exit;
}

// Prepare form
$title = sprintf(_("Please enter addtional data for: %s"), $method->getName()); 
$vars = Variables::getDefaultVariables();
$form = new Payment_Form_Data($vars, $title, $payment_data);
$form->setButtons(array(_("Change payment method"), _("Proceed")));

// Fill form with method specific variables
$method->fillFormVariables($form);

// Redirect to index page to select different method
if (Util::getFormData('submitbutton') == _("Change payment method")) {
    header('Location: ' . Horde::applicationUrl('process/index.php'));
    exit;
}

// Validate and go to step2
if ($form->validate($vars)) {
    $form->getInfo($vars, $info);
    $result = $payment->updateAuthorizationAttributes($_SESSION['payment']['process_id'], $info);
    if (is_a($result, 'PEAR_Error')) {
        $notification->push($result->getMessage(), 'horde.error');
    } else {
        header('Location: ' . Horde::applicationUrl('process/step2.php'));
        exit;
    }
}

require PAYMENT_TEMPLATES . '/common-header.inc';
require PAYMENT_TEMPLATES . '/process/header.inc';

$form->renderActive(new Horde_Form_Renderer(), $vars, Horde::applicationUrl('process/step1.php'), 'post');

require $registry->get('templates', 'horde') . '/common-footer.inc';
