<?php
/**
 * Payment step 2 - Actually process the payment
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('PAYMENT_BASE', dirname(__FILE__) . '/../');
require_once PAYMENT_BASE . '/lib/base.php';
require_once PAYMENT_BASE . '/lib/Forms/PaymentData.php';
require_once PAYMENT_BASE . '/lib/Method.php';

// Do basic checks and load data
require_once 'step_check.php';

// Redirect the user to remote valiadation
if ($method->hasRemoteValidation()) {
    header('Location: ' . $method->getValidationUrl($payment_data));
    exit;
}

// Process the method localy
$new_status = $method->process($payment_data);
if (is_a($new_status, 'PEAR_Error')) {
    $notification->push($new_status->getMessage(), 'horde.error');
    header('Location: ' . Horde::applicationUrl('process/step1.php'));
    exit;   
}

// Update the paymet status.
$result = Payment::changeStatus($new_status, $_SESSION['payment']['process_id']);
if (is_a($result, 'PEAR_Error')) {
    $notification->push($result->getMessage(), 'horde.error');
    header('Location: ' . Horde::applicationUrl('process/step1.php'));
    exit;
}

// When changing status the user can be redirected to the application specific page
// If not we produce an general status page

$title = sprintf(_("Order status was chagned to: %s"), Payment::getStatusName($new_status)); 
$vars = Variables::getDefaultVariables();
$form = new Payment_Form_Data($vars, $title, $payment_data);
$form->addVariable(_("Payment method"), 'method', 'text', false, true);
$form->setButtons(array(sprintf(_("Return to %s"), $registry->get('name', $payment_data['module_name']))));
$vars->set('method', $method->getName());

require PAYMENT_TEMPLATES . '/common-header.inc';
require PAYMENT_TEMPLATES . '/process/header.inc';

$form->renderActive(new Horde_Form_Renderer(), $vars, Horde::applicationUrl('process/step3.php'), 'post');

if ($method->hasAfterProcessMessage()) {
    echo $method->afterProcessMessage($payment_data, $new_status);
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
