<?php
/**
 * Payment step 3 - Clean up and redirect to the selling module
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('PAYMENT_BASE', dirname(__FILE__) . '/../');
require_once PAYMENT_BASE . '/lib/base.php';

// Try to get authorization data
$payment_data = $payment->getAuthorization($_SESSION['payment']['process_id']);
if (is_a($payment_data, 'PEAR_Error')) {
    $notification->push($payment_data->getMessage(), 'horde.error');
    header('Location: ' . Horde::applicationUrl('process/enter.php'));
    exit;
}

// Unset local
unset($_SESSION['payment']);

// Try to get the return url
$provides = $registry->get('provides', $payment_data['module_name']);
if ($registry->hasMethod($provides . '/authorizationReturn')) {
    $url = $registry->call($provides . '/authorizationReturn', array($payment_data['module_id']));
} else {
    $url = $registry->get('webroot', $payment_data['module_name']);
}

header('Location: ' . $url);
exit;
