<?php
/**
 * Payment step 2 - Actually process the payment
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

// Check id
if (!isset($_SESSION['payment']['process_id'])) {
    $notification->push(_("Process id was lost."), 'horde.error');
    header('Location: ' . Horde::applicationUrl('process/enter.php'));
    exit;
}

// Check step
if (!isset($_SESSION['payment']['process_step'])) {
    $notification->push(_("We lost your position."), 'horde.warning');
    header('Location: ' . Horde::applicationUrl('process/index.php'));
    exit;
}

// Try to get authorization data
$payment_data = $payment->getAuthorization($_SESSION['payment']['process_id']);
if (is_a($payment_data, 'PEAR_Error')) {
    $notification->push($payment_data->getMessage(), 'horde.error');
    header('Location: ' . Horde::applicationUrl('process/enter.php'));
    exit;
}

// Try to create the payment method
$method = Payment_Method::factory($payment_data['method']);
if (is_a($method, 'PEAR_Error')) {
    $notification->push($method->getMessage(), 'horde.error');
    exit;
}

