<?php
/**
 * Create proforma bill example
 *
 * $Horde: payment/lib/Payment.php,v 1.15 2006/03/07 18:17:34 slusarz Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Horde_Payment
 */

// Check if we the data expired
@define('PAYMENT_BASE', dirname(__FILE__) . '/../../../');
require_once PAYMENT_BASE . '/lib/base.php';

$id = $_SESSION['payment']['process_id'];
if (!$id) {
    die('Expired');
}

// Check payment data
$payment_data = $payment->getAuthorization($id);
if (is_a($payment_data, 'PEAR_Error')) {
    die($payment_data->getMessage());
}

// Check attributes
$payment_attributes = $payment->getAuthorizationAttributes($id);
if (is_a($payment_attributes, 'PEAR_Error')) {
    die($payment_attributes->getMessage() . ': ' . $payment_attributes->getDebugInfo());
}

// Load the image
$img = imagecreatefromjpeg(PAYMENT_TEMPLATES . '/methods/Proforma/proforma.jpg');
if (empty($img)) {
    die('Cannot load image');
}

$black = imagecolorclosest($img, 0, 0, 0);
$font = 5;

// name
$text = formatString($payment_attributes['first_name'] . ' ' . $payment_attributes['last_name']);
imagestring($img, $font, 30, 48, $text, $black);

// adress
$text = formatString($payment_attributes['address']);
imagestring($img, $font, 30, 82, $text, $black);

// city
$text = formatString($payment_attributes['zip'] . ' ' . $payment_attributes['town']);
imagestring($img, $font, 30, 115, $text, $black);

// intend
$name = $id;
$provides = $registry->get('provides', $payment_data['module_name']);
if ($registry->hasMethod($provides . '/getName')) {
    $name = $registry->call($provides . '/getName', array($payment_data['module_id']));
}
$text = formatString(_("Proforma") . ' ' .  $name);
imagestring($img, $font, 30, 148, $text, $black);

// Refference
$name = formatString($name);
imagestring($img, $font, 370, 232, $name, $black);

// Value
$text = Payment::formatPrice($payment_data['amount'], true);
$x = 583 - ImageFontWidth($font) * strlen($text);
imagestring($img, $font, $x, 115, $text, $black);

// output the image
header("Content-type: image/jpeg");
imagepng($img);

/**
* Fromat string 
*/
function formatString($string)
{
    $string = str_replace('/', '-', $string);
    $string = strtoupper($string);

    return $string;
}
